#include "gm3d.h"

int GM3D::OutObs(const char* filename){
	time_t now = time(0);
	char* dt = ctime(&now);

	ofstream outfile;
	gctl::open_outfile(outfile,filename);

	outfile << "# Created by : gm3d" << endl;
	outfile << "# At time: " << dt; //dt包含换行符
	outfile << "# Model id: " << model_id_ << endl;
	outfile << "# y(m)-easting x(m)-northing ele(m) obs-val(mGal|Eo) obs-dev(mGal|Eo)" << endl;
	for (int i = 0; i < obs_num_; i++){
		outfile << obs_p_[i].y << " " << obs_p_[i].x << " " << -1.0*obs_p_[i].z << " "
		 << setprecision(16) << obs_p_[i].val << " "  << obs_p_[i].dev << endl;
	}
	outfile.close();
	return 0;
}